package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 核心企业 历史合作资料历史记录
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("c_project_core_enterprise_file_history")
public class CProjectCoreEnterpriseFileHistory {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目核心企业id
     */
    @TableField("c_project_core_enterprise_id")
    private Long cProjectCoreEnterpriseId;

    /**
     * 项目编号
     */
    @TableField("project_number")
    private Long projectNumber;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<FileStorageDO> fileStorageDOS;

    public List<FileStorageDO> getFileStorageDOS() {
        return fileStorageDOS;
    }

    public void setFileStorageDOS(List<FileStorageDO> fileStorageDOS) {
        this.fileStorageDOS = fileStorageDOS;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcProjectCoreEnterpriseId() {
        return cProjectCoreEnterpriseId;
    }

    public void setcProjectCoreEnterpriseId(Long cProjectCoreEnterpriseId) {
        this.cProjectCoreEnterpriseId = cProjectCoreEnterpriseId;
    }
    public Long getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(Long projectNumber) {
        this.projectNumber = projectNumber;
    }

    @Override
    public String toString() {
        return "CProjectCoreEnterpriseFileHistory{" +
            "cProjectCoreEnterpriseId=" + cProjectCoreEnterpriseId +
            ", projectNumber=" + projectNumber +
        "}";
    }
}
